path: /build/build/spice-gtk-net-misc-0.42.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="amd64 arm64 gtk3 introspection lz4 policykit sasl smartcard usbredir webdav x86" emerge net-misc/spice-gtk -pv -t && \
    USE="amd64 arm64 gtk3 introspection lz4 policykit sasl smartcard usbredir webdav x86" emerge -j ${JOBS} --nodeps net-misc/spice-gtk
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/spice-gtk && luet-portage --dir /pkgdir/spice-gtk
    net-misc/spice-gtk && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:f0ee065bf5e48fa4b1978c469e6bde1bc5b5b60e3895eb25699b69b27315aa84
  package:
    name: spice-gtk
    version: "0.42"
    category: net-misc
    use_flags:
    - amd64
    - arm64
    - gtk3
    - introspection
    - lz4
    - policykit
    - sasl
    - smartcard
    - usbredir
    - webdav
    - x86
    requires:
    - name: libvirt-python
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Set of GObject and Gtk objects for connecting to Spice servers and
      a client GUI
    uri:
    - https://www.spice-space.org https://cgit.freedesktop.org/spice/spice-gtk/
    license: LGPL-2.1
    buildtimestamp: 2023-10-09 16:39:18.078155165 +0000 UTC m=+164.128565280
    labels:
      BDEPEND: dev-perl/Text-CSV dev-util/glib-utils sys-devel/gettext virtual/pkgconfig
        || ( ( dev-lang/python:3.10 dev-python/six[python_targets_python3_10(-),python_single_target_python3_10(+)]
        dev-python/pyparsing[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8 dev-python/six[python_targets_python3_8(-),python_single_target_python3_8(+)]
        dev-python/pyparsing[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/six[python_targets_python3_9(-),python_single_target_python3_9(+)]
        dev-python/pyparsing[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/six[python_targets_python3_7(-),python_single_target_python3_7(+)]
        dev-python/pyparsing[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: dev-libs/glib:2 dev-libs/json-glib:0= media-libs/gst-plugins-base:1.0
        media-libs/gst-plugins-good:1.0 media-libs/gstreamer:1.0[introspection?] media-libs/opus
        media-libs/libjpeg-turbo:= sys-libs/zlib x11-libs/cairo x11-libs/pixman x11-libs/libX11
        gtk3? ( x11-libs/gtk+:3[introspection?] ) introspection? ( dev-libs/gobject-introspection
        ) dev-libs/openssl:= lz4? ( app-arch/lz4 ) sasl? ( dev-libs/cyrus-sasl ) smartcard?
        ( app-emulation/qemu[smartcard] ) usbredir? ( sys-apps/hwids sys-apps/usbredir
        virtual/acl virtual/libusb:1 policykit? ( sys-auth/polkit ) ) webdav? ( net-libs/phodav:=
        net-libs/libsoup:= ) amd64? ( x11-libs/libva:= ) arm64? ( x11-libs/libva:=
        ) x86? ( x11-libs/libva:= ) app-emulation/spice-protocol:= dev-util/desktop-file-utils
        x11-misc/shared-mime-info
      IUSE: +gtk3 +introspection lz4 mjpeg policykit sasl smartcard usbredir wayland
        webdav
      RDEPEND: dev-libs/glib:2 dev-libs/json-glib:0= media-libs/gst-plugins-base:1.0
        media-libs/gst-plugins-good:1.0 media-libs/gstreamer:1.0[introspection?] media-libs/opus
        media-libs/libjpeg-turbo:= sys-libs/zlib x11-libs/cairo x11-libs/pixman x11-libs/libX11
        gtk3? ( x11-libs/gtk+:3[introspection?] ) introspection? ( dev-libs/gobject-introspection
        ) dev-libs/openssl:= lz4? ( app-arch/lz4 ) sasl? ( dev-libs/cyrus-sasl ) smartcard?
        ( app-emulation/qemu[smartcard] ) usbredir? ( sys-apps/hwids sys-apps/usbredir
        virtual/acl virtual/libusb:1 policykit? ( sys-auth/polkit ) ) webdav? ( net-libs/phodav:=
        net-libs/libsoup:= ) amd64? ( x11-libs/libva:= ) arm64? ( x11-libs/libva:=
        ) x86? ( x11-libs/libva:= )
      emerge.packages: net-misc/spice-gtk
      kit: core-kit
      original.package.name: net-misc/spice-gtk
      original.package.slot: "0"
      original.package.version: "0.42"
    treedir: /build/packages
  package_dir: /pkgdir/spice-gtk
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e6bb1b9a99bea289714c26ab39d29c6528953f1f46a1dd85ed8f38172834dc55
compressiontype: zstd
files:
- usr/bin/spicy
- usr/bin/spicy-screenshot
- usr/bin/spicy-stats
- usr/include/spice-client-glib-2.0/channel-cursor.h
- usr/include/spice-client-glib-2.0/channel-display.h
- usr/include/spice-client-glib-2.0/channel-inputs.h
- usr/include/spice-client-glib-2.0/channel-main.h
- usr/include/spice-client-glib-2.0/channel-playback.h
- usr/include/spice-client-glib-2.0/channel-port.h
- usr/include/spice-client-glib-2.0/channel-record.h
- usr/include/spice-client-glib-2.0/channel-smartcard.h
- usr/include/spice-client-glib-2.0/channel-usbredir.h
- usr/include/spice-client-glib-2.0/channel-webdav.h
- usr/include/spice-client-glib-2.0/qmp-port.h
- usr/include/spice-client-glib-2.0/smartcard-manager.h
- usr/include/spice-client-glib-2.0/spice-audio.h
- usr/include/spice-client-glib-2.0/spice-channel.h
- usr/include/spice-client-glib-2.0/spice-client.h
- usr/include/spice-client-glib-2.0/spice-file-transfer-task.h
- usr/include/spice-client-glib-2.0/spice-glib-enums.h
- usr/include/spice-client-glib-2.0/spice-option.h
- usr/include/spice-client-glib-2.0/spice-session.h
- usr/include/spice-client-glib-2.0/spice-types.h
- usr/include/spice-client-glib-2.0/spice-uri.h
- usr/include/spice-client-glib-2.0/spice-util.h
- usr/include/spice-client-glib-2.0/spice-version.h
- usr/include/spice-client-glib-2.0/usb-device-manager.h
- usr/include/spice-client-gtk-3.0/spice-client-gtk.h
- usr/include/spice-client-gtk-3.0/spice-grabsequence.h
- usr/include/spice-client-gtk-3.0/spice-gtk-session.h
- usr/include/spice-client-gtk-3.0/spice-widget-enums.h
- usr/include/spice-client-gtk-3.0/spice-widget.h
- usr/include/spice-client-gtk-3.0/usb-device-widget.h
- usr/lib64/girepository-1.0/SpiceClientGLib-2.0.typelib
- usr/lib64/girepository-1.0/SpiceClientGtk-3.0.typelib
- usr/lib64/libspice-client-glib-2.0.so
- usr/lib64/libspice-client-glib-2.0.so.8
- usr/lib64/libspice-client-glib-2.0.so.8.8.2
- usr/lib64/libspice-client-gtk-3.0.so
- usr/lib64/libspice-client-gtk-3.0.so.5
- usr/lib64/libspice-client-gtk-3.0.so.5.1.1
- usr/lib64/pkgconfig/spice-client-glib-2.0.pc
- usr/lib64/pkgconfig/spice-client-gtk-3.0.pc
- usr/libexec/spice-client-glib-usb-acl-helper
- usr/share/applications/spicy-spice-gtk.desktop
- usr/share/doc/spice-gtk-0.42/AUTHORS.bz2
- usr/share/doc/spice-gtk-0.42/README.md.bz2
- usr/share/gir-1.0/SpiceClientGLib-2.0.gir
- usr/share/gir-1.0/SpiceClientGtk-3.0.gir
- usr/share/gtk-doc/html/spice-gtk/SpiceAudio.html
- usr/share/gtk-doc/html/spice-gtk/SpiceChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpiceCursorChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpiceDisplay.html
- usr/share/gtk-doc/html/spice-gtk/SpiceDisplayChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpiceFileTransferTask.html
- usr/share/gtk-doc/html/spice-gtk/SpiceGtkSession.html
- usr/share/gtk-doc/html/spice-gtk/SpiceInputsChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpiceMainChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpicePlaybackChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpicePortChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpiceQmpPort.html
- usr/share/gtk-doc/html/spice-gtk/SpiceRecordChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpiceSession.html
- usr/share/gtk-doc/html/spice-gtk/SpiceSmartcardChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpiceSmartcardManager.html
- usr/share/gtk-doc/html/spice-gtk/SpiceURI.html
- usr/share/gtk-doc/html/spice-gtk/SpiceUsbDeviceManager.html
- usr/share/gtk-doc/html/spice-gtk/SpiceUsbDeviceWidget.html
- usr/share/gtk-doc/html/spice-gtk/SpiceUsbredirChannel.html
- usr/share/gtk-doc/html/spice-gtk/SpiceWebdavChannel.html
- usr/share/gtk-doc/html/spice-gtk/annotation-glossary.html
- usr/share/gtk-doc/html/spice-gtk/api-index-deprecated.html
- usr/share/gtk-doc/html/spice-gtk/api-index-full.html
- usr/share/gtk-doc/html/spice-gtk/api-reference.html
- usr/share/gtk-doc/html/spice-gtk/application-support.html
- usr/share/gtk-doc/html/spice-gtk/ch01.html
- usr/share/gtk-doc/html/spice-gtk/ch02.html
- usr/share/gtk-doc/html/spice-gtk/ch03.html
- usr/share/gtk-doc/html/spice-gtk/home.png
- usr/share/gtk-doc/html/spice-gtk/index.html
- usr/share/gtk-doc/html/spice-gtk/ix02.html
- usr/share/gtk-doc/html/spice-gtk/ix03.html
- usr/share/gtk-doc/html/spice-gtk/ix04.html
- usr/share/gtk-doc/html/spice-gtk/ix05.html
- usr/share/gtk-doc/html/spice-gtk/ix06.html
- usr/share/gtk-doc/html/spice-gtk/ix07.html
- usr/share/gtk-doc/html/spice-gtk/ix08.html
- usr/share/gtk-doc/html/spice-gtk/ix09.html
- usr/share/gtk-doc/html/spice-gtk/ix10.html
- usr/share/gtk-doc/html/spice-gtk/ix11.html
- usr/share/gtk-doc/html/spice-gtk/ix12.html
- usr/share/gtk-doc/html/spice-gtk/ix13.html
- usr/share/gtk-doc/html/spice-gtk/ix14.html
- usr/share/gtk-doc/html/spice-gtk/ix15.html
- usr/share/gtk-doc/html/spice-gtk/ix16.html
- usr/share/gtk-doc/html/spice-gtk/ix17.html
- usr/share/gtk-doc/html/spice-gtk/ix18.html
- usr/share/gtk-doc/html/spice-gtk/ix19.html
- usr/share/gtk-doc/html/spice-gtk/ix20.html
- usr/share/gtk-doc/html/spice-gtk/ix21.html
- usr/share/gtk-doc/html/spice-gtk/ix22.html
- usr/share/gtk-doc/html/spice-gtk/ix23.html
- usr/share/gtk-doc/html/spice-gtk/ix24.html
- usr/share/gtk-doc/html/spice-gtk/ix25.html
- usr/share/gtk-doc/html/spice-gtk/left-insensitive.png
- usr/share/gtk-doc/html/spice-gtk/left.png
- usr/share/gtk-doc/html/spice-gtk/object-tree.html
- usr/share/gtk-doc/html/spice-gtk/right-insensitive.png
- usr/share/gtk-doc/html/spice-gtk/right.png
- usr/share/gtk-doc/html/spice-gtk/spice-gtk-Utilities.html
- usr/share/gtk-doc/html/spice-gtk/spice-gtk-spice-version.html
- usr/share/gtk-doc/html/spice-gtk/spice-gtk.devhelp2
- usr/share/gtk-doc/html/spice-gtk/style.css
- usr/share/gtk-doc/html/spice-gtk/up-insensitive.png
- usr/share/gtk-doc/html/spice-gtk/up.png
- usr/share/locale/cs/LC_MESSAGES/spice-gtk.mo
- usr/share/locale/de/LC_MESSAGES/spice-gtk.mo
- usr/share/locale/fr/LC_MESSAGES/spice-gtk.mo
- usr/share/locale/it/LC_MESSAGES/spice-gtk.mo
- usr/share/locale/ka/LC_MESSAGES/spice-gtk.mo
- usr/share/locale/ru/LC_MESSAGES/spice-gtk.mo
- usr/share/man/man1/spice-client.1.bz2
- usr/share/polkit-1/actions/org.spice-space.lowlevelusbaccess.policy
- var/db/pkg/net-misc/spice-gtk-0.42/BDEPEND
- var/db/pkg/net-misc/spice-gtk-0.42/BUILD_TIME
- var/db/pkg/net-misc/spice-gtk-0.42/CATEGORY
- var/db/pkg/net-misc/spice-gtk-0.42/CBUILD
- var/db/pkg/net-misc/spice-gtk-0.42/CFLAGS
- var/db/pkg/net-misc/spice-gtk-0.42/CHOST
- var/db/pkg/net-misc/spice-gtk-0.42/CONTENTS
- var/db/pkg/net-misc/spice-gtk-0.42/COUNTER
- var/db/pkg/net-misc/spice-gtk-0.42/CXXFLAGS
- var/db/pkg/net-misc/spice-gtk-0.42/DEFINED_PHASES
- var/db/pkg/net-misc/spice-gtk-0.42/DEPEND
- var/db/pkg/net-misc/spice-gtk-0.42/DESCRIPTION
- var/db/pkg/net-misc/spice-gtk-0.42/EAPI
- var/db/pkg/net-misc/spice-gtk-0.42/FEATURES
- var/db/pkg/net-misc/spice-gtk-0.42/HOMEPAGE
- var/db/pkg/net-misc/spice-gtk-0.42/INHERITED
- var/db/pkg/net-misc/spice-gtk-0.42/IUSE
- var/db/pkg/net-misc/spice-gtk-0.42/IUSE_EFFECTIVE
- var/db/pkg/net-misc/spice-gtk-0.42/KEYWORDS
- var/db/pkg/net-misc/spice-gtk-0.42/LDFLAGS
- var/db/pkg/net-misc/spice-gtk-0.42/LICENSE
- var/db/pkg/net-misc/spice-gtk-0.42/NEEDED
- var/db/pkg/net-misc/spice-gtk-0.42/PF
- var/db/pkg/net-misc/spice-gtk-0.42/PROVIDES
- var/db/pkg/net-misc/spice-gtk-0.42/RDEPEND
- var/db/pkg/net-misc/spice-gtk-0.42/REQUIRES
- var/db/pkg/net-misc/spice-gtk-0.42/SIZE
- var/db/pkg/net-misc/spice-gtk-0.42/SLOT
- var/db/pkg/net-misc/spice-gtk-0.42/USE
- var/db/pkg/net-misc/spice-gtk-0.42/environment.bz2
- var/db/pkg/net-misc/spice-gtk-0.42/repository
- var/db/pkg/net-misc/spice-gtk-0.42/spice-gtk-0.42.ebuild
package_cacheimage: ""
runtime:
  name: spice-gtk
  version: "0.42"
  category: net-misc
  use_flags:
  - amd64
  - arm64
  - gtk3
  - introspection
  - lz4
  - policykit
  - sasl
  - smartcard
  - usbredir
  - webdav
  - x86
  requires:
  - name: lz4
    version: '>=0'
    category: app-arch
  - name: qemu
    version: '>=0'
    category: app-emulation
  - name: cyrus-sasl
    version: '>=0'
    category: dev-libs-2
  - name: openssl
    version: '>=0'
    category: dev-libs
  - name: gst-plugins-good
    version: '>=0'
    category: media-libs-1.0
  - name: libjpeg-turbo
    version: '>=0'
    category: media-libs
  - name: opus
    version: '>=0'
    category: media-libs
  - name: phodav
    version: '>=0'
    category: net-libs-2.0
  - name: hwids
    version: '>=0'
    category: sys-apps
  - name: polkit
    version: '>=0'
    category: sys-auth
  - name: acl
    version: '>=0'
    category: virtual
  - name: cairo
    version: '>=0'
    category: x11-libs
  - name: libX11
    version: '>=0'
    category: x11-libs
  - name: libva
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Set of GObject and Gtk objects for connecting to Spice servers and
    a client GUI
  uri:
  - https://www.spice-space.org https://cgit.freedesktop.org/spice/spice-gtk/
  license: LGPL-2.1
  labels:
    BDEPEND: dev-perl/Text-CSV dev-util/glib-utils sys-devel/gettext virtual/pkgconfig
      || ( ( dev-lang/python:3.10 dev-python/six[python_targets_python3_10(-),python_single_target_python3_10(+)]
      dev-python/pyparsing[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8 dev-python/six[python_targets_python3_8(-),python_single_target_python3_8(+)]
      dev-python/pyparsing[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/six[python_targets_python3_9(-),python_single_target_python3_9(+)]
      dev-python/pyparsing[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/six[python_targets_python3_7(-),python_single_target_python3_7(+)]
      dev-python/pyparsing[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: dev-libs/glib:2 dev-libs/json-glib:0= media-libs/gst-plugins-base:1.0
      media-libs/gst-plugins-good:1.0 media-libs/gstreamer:1.0[introspection?] media-libs/opus
      media-libs/libjpeg-turbo:= sys-libs/zlib x11-libs/cairo x11-libs/pixman x11-libs/libX11
      gtk3? ( x11-libs/gtk+:3[introspection?] ) introspection? ( dev-libs/gobject-introspection
      ) dev-libs/openssl:= lz4? ( app-arch/lz4 ) sasl? ( dev-libs/cyrus-sasl ) smartcard?
      ( app-emulation/qemu[smartcard] ) usbredir? ( sys-apps/hwids sys-apps/usbredir
      virtual/acl virtual/libusb:1 policykit? ( sys-auth/polkit ) ) webdav? ( net-libs/phodav:=
      net-libs/libsoup:= ) amd64? ( x11-libs/libva:= ) arm64? ( x11-libs/libva:= )
      x86? ( x11-libs/libva:= ) app-emulation/spice-protocol:= dev-util/desktop-file-utils
      x11-misc/shared-mime-info
    IUSE: +gtk3 +introspection lz4 mjpeg policykit sasl smartcard usbredir wayland
      webdav
    RDEPEND: dev-libs/glib:2 dev-libs/json-glib:0= media-libs/gst-plugins-base:1.0
      media-libs/gst-plugins-good:1.0 media-libs/gstreamer:1.0[introspection?] media-libs/opus
      media-libs/libjpeg-turbo:= sys-libs/zlib x11-libs/cairo x11-libs/pixman x11-libs/libX11
      gtk3? ( x11-libs/gtk+:3[introspection?] ) introspection? ( dev-libs/gobject-introspection
      ) dev-libs/openssl:= lz4? ( app-arch/lz4 ) sasl? ( dev-libs/cyrus-sasl ) smartcard?
      ( app-emulation/qemu[smartcard] ) usbredir? ( sys-apps/hwids sys-apps/usbredir
      virtual/acl virtual/libusb:1 policykit? ( sys-auth/polkit ) ) webdav? ( net-libs/phodav:=
      net-libs/libsoup:= ) amd64? ( x11-libs/libva:= ) arm64? ( x11-libs/libva:= )
      x86? ( x11-libs/libva:= )
    emerge.packages: net-misc/spice-gtk
    kit: core-kit
    original.package.name: net-misc/spice-gtk
    original.package.slot: "0"
    original.package.version: "0.42"
